<?php
/* AN Only Registered Links Language File
*/
/**
* Polish Language File developed by mybboard.pl for AN Only Registered Links
* Tłumaczenie: Conors
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0.0
**/
/**
 * This file is part of "AN Only Registered Links" plugin for MyBB.
 * Copyright (C) Aeolus Network <info@aeolusnetwork.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

 /**
 * Disallow direct access to this file for security reasons
 */
 
if(!defined("IN_MYBB"))
    die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
	
/**
 * Standard MyBB info function
 */
function ANOnlyRegLinks_info()
{
    global $lang;

    $lang->load("ANOnlyRegLinks");
	
    $lang->ANOnlyRegLinksDesc = '<form target="_blank" action="https://www.paypal.com/cgi-bin/webscr" method="post" style="float:right;">' .
        '<input type="hidden" name="cmd" value="_s-xclick">' . 
        '<input type="hidden" name="hosted_button_id" value="M9ES7NELCJ624">' .
        '<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">' .
        '<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">' .
        '</form>' . $lang->ANOnlyRegLinksDesc;

    return Array(
        'name' => $lang->ANOnlyRegLinksName,
        'description' => $lang->ANOnlyRegLinksDesc,
        'website' => 'http://www.aeolusnetwork.com',
        'author' => 'Aeolus Network [YaelDD]',
        'authorsite' => 'http://yaeldd.aeolusnetwork.com',
        'version' => '1.0.0',
        'guid' => '',
        'compatibility' => '18*'
    );
}

$plugins->add_hook("parse_message", "ANOnlyRegLinks");

function ANOnlyRegLinks_activate() {
	global $db, $lang;
	
	// Create settings group
	$insertarray = array(
		'name' => 'anorl', 
		'title' => 'AN Only Registered Links', 
		'description' => "Ustawienia dla pluginu \"Only Registered Links\".", 
		'disporder' => 100, 
		'isdefault' => 0
	);
	$gid = $db->insert_query("settinggroups", $insertarray);
	
	// Add settings
	$settingContent = array(
		"sid"			=> NULL,
		"name"			=> "anorl_content",
		"title"			=> "Tekst wyświetlany zamiast linków",
		"description"	=> "Wpisz tutaj tekst, który ma być wyświetlany dla osób, które nie widzą linków.",
		"optionscode"	=> "text",
		"value"			=> "Tylko zarejestrowani użytkownicy mogą zobaczyć linki",
		"disporder"		=> 1,
		"gid"			=> $gid
	);
	$db->insert_query("settings", $settingContent);
	
	$settingButtonText = array(
		"sid"			=> NULL,
		"name"			=> "anorl_buttontext",
		"title"			=> "Przycisk rejestracji",
		"description"	=> "Wpisz tutaj tekst, który ma być pokazywany przy przycisku do rejestracji.",
		"optionscode"	=> "text",
		"value"			=> "Kliknij tutaj, aby się zarejestrować.",
		"disporder"		=> 1,
		"gid"			=> $gid
	);
	$db->insert_query("settings", $settingButtonText);
	
	rebuild_settings();
}

function ANOnlyRegLinks_deactivate() {
	global $db, $mybb;
	// Delete settings group
	$db->delete_query("settinggroups", "name = 'anorl'");

	// Remove settings
	$db->delete_query('settings', 'name IN ( \'anorl_content\',\'anorl_buttontext\')');

	rebuild_settings();
}

function ANOnlyRegLinks($content) {

   global $mybb;  
  
   if($mybb->user['usergroup'] < 2)  {
        $content = preg_replace("/<a href=\"(.*?)\" target=\"(.*?)\">(.*?)<\/a>/is","<span class=\"bigbutton\" style=\"display:block;color:firebrick;font-weight:bold;border:2px solid;padding:10px;margin:10px;\">[".$mybb->settings['anorl_content']." <a href=\"".$mybb->settings['bburl']."/member.php?action=register\"><i style='font-size: 14px;' class='fa fa-user fa-fw' original-title=''></i> ".$mybb->settings['anorl_buttontext']."</a>]</span>",$content);
    }
    return $content;
}

?>